Chromium Code Reviews
Help | Chromium Project | Sign in
(81)

Issue 9107055: Remove single direction conflict set code (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 years, 2 months ago by rlarocque
Modified:
3 years, 2 months ago
Reviewers:
timsteele
CC:
chromium-reviews, Raghu Simha, ncarter, akalin, timsteele
Visibility:
Public.

Description

Remove single direction conflict set code This code was intended to operate on conflict sets that consist solely of changes from the server. However, we can never detect these kinds of conflict sets because our conflict set detection code assumes that the server never sends us an invalid set of changes; all conflict sets must be cause, at least in part, by local changes. This change also deletes various private and hidden functions that were used only by the single direction conflict set code. This reduced the BuildAndProcessConflictSetsCommand::ExecuteImpl() into a single function call, which I inlined. Also removed in this change is the conflict_sets_built() flag. The single direction conflict set processing code was the only place where its value was "set". It seems that the logic that relied on it in syncer.cc was reversed. We only processed conflicts if !conflict_sets_built(), which is the opposite of what the documentation claims. Fortunately, its value was always false (because there were no single direction conflict sets) so we always processed conflicts. Finally, this CL includes one unrelated change: it removes BuildAndProcessConflictSetsCommand::MergeSetsForNameClash(). That function is not defined anywhere, so I decided to remove its declaration. BUG=107816 TEST= Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=119507

Patch Set 1 #

Patch Set 2 : Rebase #

Patch Set 3 : One more rebase fix #

Patch Set 4 : Pre-emptive rebase #

Messages

Total messages: 4 (0 generated)
rlarocque
Take your time in reviewing this. I've got plenty of other changes to commit before ...
3 years, 2 months ago (2012-01-12 22:39:15 UTC) #1
timsteele
Nice patch. I looked at this for a while, and your logic definitely seems sound. ...
3 years, 2 months ago (2012-01-24 05:01:16 UTC) #2
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/rlarocque@chromium.org/9107055/10001
3 years, 2 months ago (2012-01-27 18:58:33 UTC) #3
I haz the power (commit-bot)
3 years, 2 months ago (2012-01-27 23:05:46 UTC) #4
Change committed as 119507
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ecdb341-tainted